# documentRequests.list

Read receipt requests sent to your active contractor profile and verified email in this company. Includes open, submitted and expired requests without exposing other purchases.

`GET | POST /api/v1/contractor/documentRequests.list`

Permissions: `contractor:read` · Roles: contractor

MCP tool: `contractor_document_requests_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `id` | string (ID) |  | The record's ID. |
| `status` | enum |  | Only include records with this status. One of: `open`, `all`. Default `"open"`. |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 100000. Default `0`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/contractor/documentRequests.list \
  -H "Authorization: Bearer $OATMILK_OAUTH_TOKEN" \
  -H "X-Accounting-Organization: $OATMILK_ORGANIZATION_ID"
```

Reference page: https://app.getoatmilk.com/docs/api/contractor/documentRequests.list
